package com.zcxk.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.dto.*;
import com.zcxk.entity.YearReportEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_day_reportDAO接口
 * @author: WYY
 * @date 2020-12-03 16:20
 */
@Mapper
public interface YearReportMapper extends BaseMapper<YearReportEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  yearReportEntity 实体类
     */
     Page<ReportDto> findPage(IPage<ReportDto> page,
                              @Param("yearReport") YearReportEntity yearReportEntity);

    Page<ReportDto> findPageReprot(IPage<ReportDto> page,
                             @Param("yearReport") ReportPageQueryDto reportPageQueryDto);

    YearReportEntity findYearReportById(Serializable id);


     List<YearReportEntity> findList(YearReportEntity yearReportEntity);

    List<ReportAttributeDto> findAttributeList(@Param("report") ReportDto reportDto);

    List<ReportDto> findReport(@Param("report") ReportDto item);

    Page<DevicePressReportAttributeDto> findDevicePressPage(IPage<DevicePressReportAttributeDto> page, @Param("yearReport") YearReportEntity yearReportEntity);

    Page<DeviceWaterReportAttributeDto> findDeviceWaterPage(IPage<DeviceWaterReportAttributeDto> page, @Param("yearReport") YearReportEntity yearReportEntity);

    List<YearReportEntity> findAmountTotalBySceneIds(@Param("yearReport") YearReportEntity yearReportEntity);

    YearReportEntity findSumValue(@Param("report") YearReportEntity yearReportEntity);
}
